<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>
    <rule name = "ZOOM[0.99 - 1.01) Entering macro pre dual stream">
        <condition name = "ZOOM_RATIO" min = "0.99" max = "1.01"/>
        <condition name = "MACRO_MODE" value = "1"/>
        <outState>
            <camera name = "wide" prev = "true"/>
            <camera name = "ultra_wide"/>
        </outState>
    </rule>

    <rule name = "ZOOM[0.99 - 1.01) Exiting macro pre dual stream">
        <condition name = "ZOOM_RATIO" min = "0.99" max = "1.01"/>
        <condition name = "MACRO_MODE" value = "2"/>
        <condition name = "APK_MACRO_WU" value = "1"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
            <camera name = "wide"/>
        </outState>
    </rule>

    <rule name = "ZOOM[0.99 - 1.01) In macro dual stream for vcm">
        <condition name = "ZOOM_RATIO" min = "0.99" max = "1.01"/>
        <condition name = "MACRO_MODE" value = "3"/>
        <condition name = "APK_MACRO_WU" value = "1"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
            <camera name = "wide"/>
        </outState>
    </rule>

    <rule name = "ZOOM[0.99 - 1.01) macro stop dual stream">
        <condition name = "ZOOM_RATIO" min = "0.99" max = "1.01"/>
        <condition name = "MACRO_MODE" value = "4"/>
        <condition name = "APK_MACRO_WU" value = "1"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
            <camera name = "wide" vfps = "true"/>
        </outState>
    </rule>

    <rule name = "parent rule: ZOOM[0.0-0.6)">
        <condition name = "ZOOM_RATIO" min = "0.0" max = "0.6"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
            <camera name = "wide" vfps = "true"/>
        </outState>
    </rule>

    <rule name = "parent rule: ZOOM[0.6-1.0)">
        <condition name = "ZOOM_RATIO" min = "0.6" max = "1.0"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
            <camera name = "wide" vfps = "true"/>
        </outState>

        <rule name = "child rule: ZOOM[0.6-1.0) uw + w fov fusion">
            <condition name = "ZOOM_RATIO" min = "0.6" max = "1.0"/>
            <condition name = "SNAPSHOT_MODE"  value= "40"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[0.7-1.0) zoom_in">
            <condition name = "ZOOM_RATIO" min = "0.7" max = "1.0"/>
            <condition name = "ZOOM_STATUS"  value = "5"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[0.7-1.0) zoom_out">
            <condition name = "ZOOM_RATIO" min = "0.7" max = "1.0"/>
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[1.0-2.0)">
        <condition name = "ZOOM_RATIO" min = "1.0" max = "2.0"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>

        <rule name = "child rule: ZOOM[1.0-1.2] zoom_out">
            <condition name = "ZOOM_RATIO" min = "1.0" max = "1.21"/>
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "ultra_wide"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[1.8-2.0) zoom_in">
            <condition name = "ZOOM_RATIO" min = "1.8" max = "2.0"/>
            <condition name = "ZOOM_STATUS"  value = "5"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[1.0-2.0) zoom_stop">
            <condition name = "ZOOM_RATIO" min = "1.0" max = "2.0"/>
            <condition name = "ZOOM_STATUS"  value = "1"/>
            <outState>
                <camera name = "wide" prev = "true"/>
            </outState>
            <rule name = "child rule: ZOOM[1.0-1.01) zoom_stop SCENE_CHANGE w+t">
                <condition name = "SCENE_CHANGE" value= "1"/>
                <condition name = "ZOOM_RATIO" min = "1.0" max = "1.01"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                    <camera name = "tele"/>
                </outState>
            </rule>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[2.0-2.50)">
        <condition name = "ZOOM_RATIO" min = "2.0" max = "2.50"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>

        <rule name = "child rule: ZOOM[2.0-2.50] zoom_out">
            <condition name = "ZOOM_RATIO" min = "2.0" max = "2.50"/>
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[2.0-2.50] zoom_in">
            <condition name = "ZOOM_RATIO" min = "2.0" max = "2.50"/>
            <condition name = "ZOOM_STATUS"  value = "5"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[2.0-2.50] zoom_stop">
            <condition name = "ZOOM_RATIO" min = "2.0" max = "2.50"/>
            <condition name = "ZOOM_STATUS"  value = "1"/>
            <outState>
                <camera name = "wide" prev = "true"/>
            </outState>
            <rule name = "child rule: ZOOM[2.0-2.01) zoom_stop SCENE_CHANGE w+t">
                <condition name = "SCENE_CHANGE" value= "1"/>
                <condition name = "ZOOM_RATIO" min = "2.0" max = "2.01"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                    <camera name = "tele"/>
                </outState>
            </rule>
        </rule>
    </rule>

    <rule name = "child rule: ZOOM[2.5-10.0), multicamera display prev wide">
        <condition name = "ZOOM_RATIO" min = "2.5" max = "10.0"/>
        <condition name = "APK_MACRO_WT" value = "2"/>
        <outState>
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </outState>
    </rule>

    <rule name = "child rule: ZOOM[2.5-10.0), multicamera display prev tele">
        <condition name = "ZOOM_RATIO" min = "2.5" max = "10.0"/>
        <condition name = "APK_MACRO_WT" value = "3"/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "wide"/>
        </outState>
    </rule>

    <rule name = "parent rule: ZOOM[2.50-5.0) LUX_INDEX < 400.0 and Distance > 500.0 t+w dual stream">
        <condition name = "ZOOM_RATIO" min = "2.50" max = "5.0"/>
        <condition name = "LUX_INDEX" min = "0.0" max = "400.0" hysteresis_max = "20.0"/>
        <condition name = "OBJECT_DISTANCE" min = "500.0" max = "9999.0" hysteresis_min = "100.0"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "wide" vfps = "true"/>
        </outState>
        <rule name = "child rule: ZOOM[2.50-5.0), LUX_INDEX < 420.0 and Distance > 300.0 and dualstreams">
            <condition name = "DISTANCE_CHANGE" value = "1"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
        <rule name = "child rule: ZOOM[2.50-3.5), LUX_INDEX < 420.0 and Distance > 300.0 and son zoom_out">
            <condition name = "ZOOM_RATIO" min = "2.50" max = "3.50"/>
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <condition name = "SCENE_MODE" value = "0"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[2.50-5.0), LUX_INDEX < 420.0 and Distance > 300.0 WIDE_AF_LOCK 0 and son zoom_stop">
            <condition name = "ZOOM_STATUS"  value = "1"/>
            <condition name = "SCENE_MODE" value = "0"/>
            <condition name = "WIDE_AF_LOCK" value = "0"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide" vfps = "true"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[2.50-5.0), LUX_INDEX < 420.0 and Distance > 300.0 WIDE_AF_LOCK 1 and son zoom_stop">
            <condition name = "ZOOM_STATUS"  value = "1"/>
            <condition name = "SCENE_MODE" value = "0"/>
            <condition name = "WIDE_AF_LOCK" value = "1"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[2.50-5.0), LUX_INDEX > 400.0 w preview">
        <condition name = "ZOOM_RATIO" min = "2.50" max = "5.0"/>
        <condition name = "LUX_INDEX" min = "400.0" max = "9999.0" hysteresis_min = "20.0"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>
        <rule name = "child rule: ZOOM[2.50-5.0) LUX_INDEX > 400.0 w preview dualstreams">
            <condition name = "DISTANCE_CHANGE" value= "1"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
        <rule name = "child rule: ZOOM[2.50-3.50), LUX_INDEX > 400.0 zoom_out w+t w preview">
            <condition name = "ZOOM_RATIO" min = "2.50" max = "3.50"/>
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[2.50-5.0), LUX_INDEX > 400.0 zoom_stop w preview">
            <condition name = "ZOOM_RATIO" min = "2.50" max = "5.0"/>
            <condition name = "ZOOM_STATUS"  value = "1"/>
            <outState>
                <camera name = "wide" prev = "true"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[2.50-5.0), OBJECT_DISTANCE < 300.0 w preview">
        <condition name = "ZOOM_RATIO" min = "2.50" max = "5.0"/>
        <condition name = "OBJECT_DISTANCE" min = "0.0" max = "400.0" hysteresis_max = "100.0"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <condition name = "APK_MACRO_WT" value = "1"/>
        <outState>
            <camera name = "wide" prev = "true" display = "true"/>
        </outState>
        <rule name = "child rule: ZOOM[2.50-5.0) OBJECT_DISTANCE < 300.0 w preview w preview dualstreams">
            <condition name = "DISTANCE_CHANGE" value= "1"/>
            <outState>
                <camera name = "wide" prev = "true" display = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
        <rule name = "child rule: ZOOM[2.50-3.50), OBJECT_DISTANCE < 300.0 zoom_out w+t w preview">
            <condition name = "ZOOM_RATIO" min = "2.50" max = "3.50"/>
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <outState>
                <camera name = "wide" prev = "true" display = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[2.50-5.0), OBJECT_DISTANCE < 300.0 w zoom_stop">
            <condition name = "ZOOM_RATIO" min = "2.50" max = "5.0"/>
            <condition name = "ZOOM_STATUS"  value = "1"/>
            <outState>
                <camera name = "wide" prev = "true" display = "true"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[5.0-10.0) LUX_INDEX < 400 ,OBJECT_DISTANCE > 500.0 t+w dual stream">
        <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
        <condition name = "LUX_INDEX" min = "0.0" max = "400.0" hysteresis_max = "20.0"/>
        <condition name = "OBJECT_DISTANCE" min = "500.0" max = "9999.0" hysteresis_min = "100.0"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "wide" vfps = "true"/>
        </outState>
        <rule name = "child rule: ZOOM[5.0-10.0) LUX_INDEX < 400 ,OBJECT_DISTANCE > 500.0 and dualstreams">
            <condition name = "DISTANCE_CHANGE" value = "1"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
        <rule name = "child rule:ZOOM[5.0-10.0x) LUX_INDEX < 420 ,OBJECT_DISTANCE > 300.0 and son zoom_out">
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>

        <rule name = "child rule:ZOOM[5.0-10.0x) LUX_INDEX < 420 ,OBJECT_DISTANCE > 300.0 and son zoom_in">
            <condition name = "ZOOM_STATUS"  value = "5"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>

        <rule name = "child rule:ZOOM[5.0-10.0x) LUX_INDEX < 420 ,OBJECT_DISTANCE > 300.0 and son zoom_stop">
            <condition name = "ZOOM_STATUS"  value = "1"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide" vfps = "true"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[5.0-10.0), LUX_INDEX > 400.0 w preview">
        <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
        <condition name = "LUX_INDEX" min = "400.0" max = "9999.0" hysteresis_min = "20.0"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>
        <rule name = "child rule: ZOOM[5.0-10.0), LUX_INDEX > 400.0 w preview dualstreams">
            <condition name = "DISTANCE_CHANGE" value= "1"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
        <rule name = "child rule: ZOOM[5.0-10.0), LUX_INDEX > 400.0 zoom_in w preview">
            <condition name = "ZOOM_STATUS"  value = "5"/>
            <outState>
                <camera name = "wide" prev = "true"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[5.0-10.0), LUX_INDEX > 400.0 zoom_out w preview">
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <outState>
                <camera name = "wide" prev = "true"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[5.0-10.0), LUX_INDEX > 400.0 zoom_stop w preview">
            <condition name = "ZOOM_STATUS"  value = "1"/>
            <outState>
                <camera name = "wide" prev = "true"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[5.0-10.0), OBJECT_DISTANCE < 300.0 w preview">
        <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
        <condition name = "OBJECT_DISTANCE" min = "0.0" max = "400.0" hysteresis_max = "100.0"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <condition name = "APK_MACRO_WT" value = "1"/>
        <outState>
            <camera name = "wide" prev = "true" display = "true"/>
        </outState>
        <rule name = "child rule: ZOOM[5.0-10.0), OBJECT_DISTANCE < 300.0 w preview dualstreams">
            <condition name = "DISTANCE_CHANGE" value= "1"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
        <rule name = "child rule: ZOOM[5.0-10.0), OBJECT_DISTANCE < 300.0 zoom_in w preview">
            <condition name = "ZOOM_STATUS"  value = "5"/>
            <outState>
                <camera name = "wide" prev = "true" display = "true"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[5.0-10.0), OBJECT_DISTANCE < 300.0 zoom_out w preview">
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <outState>
                <camera name = "wide" prev = "true" display = "true"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[5.0-10.0), OBJECT_DISTANCE < 300.0 zoom_stop w preview">
            <condition name = "ZOOM_STATUS"  value = "1"/>
            <outState>
                <camera name = "wide" prev = "true" display = "true"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[2.5-10.0x) default multicam display prev tele">
        <condition name = "ZOOM_RATIO" min = "2.5" max = "10.0"/>
        <condition name = "APK_MACRO_WT" value = "0"/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "wide"/>
        </outState>
    </rule>

    <rule name = "parent rule: ZOOM[2.5-10.0x) default multicam display prev wide">
        <condition name = "ZOOM_RATIO" min = "2.5" max = "10.0"/>
        <condition name = "APK_MACRO_WT" value = "1"/>
        <outState>
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </outState>
    </rule>
    <rule name = "child rule: ZOOM[10.0-100.0), moon scene">
        <condition name = "ZOOM_RATIO" min = "10.0" max = "100.1"/>
        <condition name = "MOON_MODE"  value = "1"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "wide"/>
        </outState>
    </rule>

    <rule name = "parent rule: teleQuadraAiraw: ZOOM[10.0-50.0x)">
        <condition name = "ZOOM_RATIO" min = "10.0" max = "50.1"/>
        <condition name = "FEATURE_UUID" value = "teleQuadraAiraw"/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "wide" vfps = "true"/>
        </outState>
    </rule>

    <rule name = "parent rule: teleQuadraLiteAiraw: ZOOM[10.0-50.0x)">
        <condition name = "ZOOM_RATIO" min = "10.0" max = "50.1"/>
        <condition name = "FEATURE_UUID" value = "teleQuadraLiteAiraw"/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "wide" vfps = "true"/>
        </outState>
    </rule>

    <rule name = "parent rule: ZOOM[10.0-100.0x)">
        <!-- default switch to wide -->
        <condition name = "ZOOM_RATIO" min = "10.0" max = "100.1"/>
        <outState>
            <camera name = "tele" prev = "true"/>
        </outState>
    </rule>
</MultiCameraConfigTable>
